Bug 434613 - Don't build with smp_mflags
Don't build with smp_mflags
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 04:38 EST by sangu
Modified: 2008-03-01 15:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 15:53:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 516632 None None None Never

  None (edit)
Description sangu 2008-02-23 04:38:57 EST
Description of problem:
$ cvs -d:pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs co f-spot
$ cd f-spot/devel
$ rpmbuild -ba f-spot.spec
[...]
gtk-sharp-2.0 -pkg:glade-sharp-2.0  -resource:./FlickrExport.addin.xml
-resource:./FlickrExport.glade
Making all in FlickrNet
make[4]: Entering directory
`/usr/src/redhat/BUILD/f-spot-0.4.2/extensions/FlickrExport/FlickrNet'
gmcs -debug -target:library -out:FlickrNet.dll  -r:System.Web.dll
-r:System.Drawing.dll ./AssemblyInfo.cs ./Auth.cs ./Blogs.cs ./BoundaryBox.cs
./Cache.cs ./Categories.cs ./Comments.cs ./Contacts.cs ./Context.cs
./DateGranularity.cs ./Enums.cs ./ExifPhoto.cs ./Flickr.cs
./FlickrConfigurationManager.cs ./FlickrConfigurationSettings.cs
./FlickrException.cs ./GeoAccuracy.cs ./GeoPermissions.cs
./GroupSearchResults.cs ./Groups.cs ./Licenses.cs ./LockFile.cs ./Methods.cs
./PartialSearchOptions.cs ./PersistentCache.cs ./Person.cs ./Photo.cs
./PhotoCounts.cs ./PhotoDates.cs ./PhotoInfo.cs ./PhotoLocation.cs
./PhotoPermissions.cs ./PhotoSearchExtras.cs ./PhotoSearchOptions.cs
./PhotoSearchOrder.cs ./PhotoSets.cs ./Photos.cs ./Response.cs ./Sizes.cs
./Tags.cs ./Uploader.cs ./UploadProgressEvent.cs ./User.cs ./Utils.cs 
error CS0006: cannot find metadata file `FlickrNet/FlickrNet.dll'
Compilation failed: 1 error(s), 0 warnings
make[3]: *** [FlickrExport.dll] Error 1
make[3]: *** Waiting for unfinished jobs....
./Flickr.cs(339,58): warning CS0618: `System.Net.WebProxy.GetDefaultProxy()' is
obsolete: `This method has been deprecated'
./FlickrConfigurationManager.cs(25,103): warning CS0618:
`System.Configuration.ConfigurationSettings.GetConfig(string)' is obsolete:
`This method is obsolete, it has been replaced by
System.Configuration!System.Configuration.ConfigurationManager.GetSection'
./Cache.cs(184,37): warning CS0169: The private method
`FlickrNet.Cache.SaveSettings()' is never used
./Flickr.cs(477,34): warning CS0169: The private method
`FlickrNet.Flickr.GetResponseAlwaysCache(System.Collections.Hashtable)' is never
used
Compilation succeeded - 4 warning(s)
make[4]: Leaving directory
`/usr/src/redhat/BUILD/f-spot-0.4.2/extensions/FlickrExport/FlickrNet'
make[4]: Entering directory
`/usr/src/redhat/BUILD/f-spot-0.4.2/extensions/FlickrExport'
gmcs -debug -target:library -out:FlickrExport.dll ./FlickrExport.cs
./FlickrRemote.cs -r:../../src/f-spot.exe -r:../../src/FSpot.Core.dll
-r:../../src/FSpot.Utils.dll -r:../../semweb/SemWeb.dll
-r:FlickrNet/FlickrNet.dll -r:Mono.Posix -pkg:gtk-sharp-2.0 -pkg:glade-sharp-2.0
 -resource:./FlickrExport.addin.xml -resource:./FlickrExport.glade
./FlickrExport.cs(34,51): warning CS0169: The private field
`FSpotFlickrExport.FlickrExport.auth_done_flickr' is never used
./FlickrExport.cs(59,22): warning CS0414: The private field
`FSpotFlickrExport.FlickrExport.copy_metadata' is assigned but its value is
never used
Compilation succeeded - 2 warning(s)
make[4]: Leaving directory
`/usr/src/redhat/BUILD/f-spot-0.4.2/extensions/FlickrExport'
make[3]: Leaving directory
`/usr/src/redhat/BUILD/f-spot-0.4.2/extensions/FlickrExport'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/f-spot-0.4.2/extensions'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/f-spot-0.4.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.5453 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.5453 (%build)


Version-Release number of selected component (if applicable):
0.4.2-2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
mono-core-1.9-1.fc9.i386
Remove %{?_smp_mflags} in f-spot.spec > f-spot build works well
Comment 1 sangu 2008-02-29 00:06:41 EST
See Also : http://bugzilla.gnome.org/show_bug.cgi?id=516632

Note You need to log in before you can comment on or make changes to this bug.